Try {
    Set-Variable -Name "power_user_folder_path" -Value "C:\Users\$env:username\AppData\Local\Power-user\"
    IF (!(Test-Path -Path $power_user_folder_path)) {
        Write-Host "Power-user application NOT installed"
        Exit 1
    }

    # check registries

    Set-Variable -Name "detection_folder_path" -Value "C:\Users\$env:username\AppData\Local\Power-user\roll_out_done\"
    IF (Test-Path -Path $detection_folder_path) {
        Write-Host "Power-user application installed"
        Exit 0
    } else {
        Set-Variable -Name "download_path" -Value "$env:temp\power_user_certificate.cer"

        # Download Power-user certificate file
        Invoke-WebRequest -Uri "https://powerusersoftware.com/download/power_user_certificate.cer" -OutFile $download_path

        Start-Process -FilePath "C:\Windows\System32\certutil.exe" -ArgumentList "-addstore -user TrustedPublisher $download_path" -Wait

        # License key that will be used during activation
        Set-Variable -Name "license_key" -Value "XXXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX"

        # Activation of the user license providing the email address, user name and license key
        & "C:\Users\$env:username\AppData\Local\Power-user\PowerUserActivator.exe" $env:username $license_key

        Set-Variable -Name "detection_folder_path" -Value "C:\Users\$env:username\AppData\Local\Power-user\roll_out_done\"
        IF (!(Test-Path -Path $detection_folder_path)) {
            New-Item -Path $detection_folder_path -ItemType Directory -Force -ErrorAction Stop
        }
    }

    IF (!(Test-Path -Path $detection_folder_path)) {
        Write-Host "Power-user application NOT installed"
        Exit 1
    }

    Write-Host "Power-user application installed"
    Exit 0
}
Catch {
    Write-Host "Error during the detection, Power-user application NOT installed"
    Exit 1
}